VTK: vtkColor4d Class Reference

| VTK 9.3.1

Public Member Functions | List of all members
vtkColor4d Class Reference

`#include <vtkColor.h>`

Inheritance diagram for vtkColor4d:
[legend]
Collaboration diagram for vtkColor4d:
[legend]

## Public Member Functions
| vtkColor4d ()=default
| vtkColor4d (double scalar)
| vtkColor4d (const double *init)
| vtkColor4d (double r, double g, double b, double a=1.0)
Public Member Functions inherited from vtkColor4< double >
| vtkColor4 ()=default
| vtkColor4 (const double &scalar)
| vtkColor4 (const double *init)
| vtkColor4 (const double &red, const double &green, const double &blue, const double &alpha)
void | SetRed (const double &red)
| Set the red component of the color, i.e. More...
const double & | GetRed () const
| Get the red component of the color, i.e. More...
void | SetGreen (const double &green)
| Set the green component of the color, i.e. More...
const double & | GetGreen () const
| Get the green component of the color, i.e. More...
void | SetBlue (const double &blue)
| Set the blue component of the color, i.e. More...
const double & | GetBlue () const
| Get the blue component of the color, i.e. More...
void | SetAlpha (const double &alpha)
| Set the alpha component of the color, i.e. More...
const double & | GetAlpha () const
| Get the alpha component of the color, i.e. More...
void | Set (const double &red, const double &green, const double &blue)
| Set the red, green and blue components of the color. More...
void | Set (const double &red, const double &green, const double &blue, const double &alpha)
| Set the red, green, blue and alpha components of the color. More...
Public Member Functions inherited from vtkTuple< T, Size >
| vtkTuple ()=default
| The default constructor does not initialize values. More...
| vtkTuple (const T &scalar)
| Initialize all of the tuple's elements with the supplied scalar. More...
| vtkTuple (const T *init)
| Initialize the tuple's elements with the elements of the supplied array. More...
| vtkTuple (const std::array< T, Size > &values)
| Initialize the tuple's elements using a `std::array` for matching type and size. More...
int | GetSize () const
| Get the size of the tuple. More...
T * | GetData ()
| Get a pointer to the underlying data of the tuple. More...
const T * | GetData () const
T & | operator[] (int i)
| Get a reference to the underlying data element of the tuple. More...
const T & | operator[] (int i) const
T | operator() (int i) const
| Get the value of the tuple at the index specified. More...
bool | Compare (const vtkTuple< T, Size > &other, const T &tol) const
| Equality operator with a tolerance to allow fuzzy comparisons. More...
template<typename TR >
vtkTuple< TR, Size > | Cast () const
| Cast the tuple to the specified type, returning the result. More...

## Additional Inherited Members
Protected Attributes inherited from vtkTuple< T, Size >
T | Data [Size]
| The only thing stored in memory! More...

## Detailed Description

Definition at line 321 of file vtkColor.h.

## Constructor & Destructor Documentation

## ◆ vtkColor4d() [1/4]

vtkColor4d::vtkColor4d | ( |  | ) |
| default

## ◆ vtkColor4d() [2/4]

vtkColor4d::vtkColor4d | ( | double | scalar | ) |
| inlineexplicit

Definition at line 325 of file vtkColor.h.

## ◆ vtkColor4d() [3/4]

vtkColor4d::vtkColor4d | ( | const double * | init | ) |
| inlineexplicit

Definition at line 329 of file vtkColor.h.

## ◆ vtkColor4d() [4/4]

vtkColor4d::vtkColor4d | ( | double | r,
|  | double | g,
|  | double | b,
|  | double | a = `1.0`
| ) |  |
| inline

Definition at line 333 of file vtkColor.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkColor.h